<template>
  <div class="subpage_Box">
    <My-bread :list="[
          `数据资源管理`,
          `通用模板管理`,
        ]"></My-bread>
    <el-divider />
    <div class="mainBox">
      <div class="mainContent">
        <div></div>
        <div>
          <el-button size="small"
                     type="success"
                     plain>新增模板</el-button>
          <el-button size="small"
                     plain
                     type="danger">删除模板</el-button>
        </div>
      </div>
      <div class="taleBox">
        <el-table :data="tableData"
                  style="width: 100%;height:calc(100% - 1px)">
          <el-table-column prop="date"
                           label="日期"
                           width="180">
          </el-table-column>
          <el-table-column prop="name"
                           label="姓名"
                           width="180">
          </el-table-column>
          <el-table-column prop="address"
                           label="地址">
          </el-table-column>
        </el-table>
      </div>
      <div class="pageBox">
        <el-pagination @size-change="handleSizeChange"
                       @current-change="handleCurrentChange"
                       :current-page.sync="currentPage2"
                       :page-sizes="[100, 200, 300, 400]"
                       :page-size="100"
                       layout="sizes, prev, pager, next"
                       :total="1000">
        </el-pagination>
      </div>
    </div>

  </div>
</template>

<script>

import MyBread from "../../components/MyBread.vue";

export default {
  name: "catalogueManage",
  components: {
    MyBread,
  },
  data () {

    return {
      tableData: [{
        date: '2016-05-02',
        name: '王小虎',
        address: '上海市普陀区金沙江路 1518 弄'
      },{
        date: '2016-05-04',
        name: '王小虎',
        address: '上海市普陀区金沙江路 1517 弄'
      },{
        date: '2016-05-01',
        name: '王小虎',
        address: '上海市普陀区金沙江路 1519 弄'
      },{
        date: '2016-05-03',
        name: '王小虎',
        address: '上海市普陀区金沙江路 1516 弄'
      }]
    };
  },
  methods: {

  },
  mounted () {

  },
};
</script>

<style lang="less" scoped>
.subpage_Box {
  //height: 96%;
  width: calc(98% - 20px);
  height: calc(95.5% - 20px);

  border-radius: 10px;
  background: #f4f8ff;
  margin: 10px;
}

.mainBox {
  padding-top: 10px;
  width: 100%;
  height: calc(100% - 40px);
  display: flex;
  flex-direction: column;
  .mainContent {
    display: flex;
    justify-content: space-between;
  }
  .taleBox {
    flex: 1;
    margin-top: 10px;
    margin-bottom: 10px;
  }
  .pageBox {
    display: flex;
    justify-content: center;
  }
}
.loadBox {
  z-index: 2002;
  background: rgba(0, 0, 0, 0.2);
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  position: absolute;
  .el-loading-mask {
    background: transparent !important;
  }
}
.btnBox {
  position: absolute;
  bottom: 0;
  right: 0;
}
</style>
